------------------------------------------------------------------------------
--                                                                          --
--                         GNAT RUNTIME COMPONENTS                          --
--                                                                          --
--                         S Y S T E M . I M G _ I                          --
--                                                                          --
--                                 B o d y                                  --
--                                                                          --
--                            $Revision: 1.2 $                              --
--                                                                          --
--             Copyright (c) 1992,1993, NYU, All Rights Reserved            --
--                                                                          --
-- GNAT is free software;  you can  redistribute it  and/or modify it under --
-- terms  of the GNU  General  Public  License  as  published  by the  Free --
-- Software  Foundation;  either version 2,  or (at your option)  any later --
-- version.  GNAT is distributed  in the hope  that it will be useful,  but --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- --
-- ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public --
-- License  for  more details.  You should have received  a copy of the GNU --
-- General Public License along with GNAT;  see file COPYING. If not, write --
-- to the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. --
--                                                                          --
------------------------------------------------------------------------------

pragma Ada_9X;
function System.Img_I (V : Integer; B : Address) return Natural is

   procedure sprintf (Target, Fmt : Address;
                      Value       : Integer;
                      Length_Ptr  : Address);
   pragma Import (C, sprintf);

   Fmt    : constant String := "% d%n" & Ascii.NUL;
   Length : aliased Natural;
begin
   sprintf (B, Fmt'Address, V, Length'Address);
   return Length;
end System.Img_I;


----------------------
-- REVISION HISTORY --
----------------------

--  ----------------------------
--  revision 1.1
--  date: Tue Oct 12 21:06:56 1993;  author: dewar
--  Initial revision
--  ----------------------------
--  revision 1.2
--  date: Thu Oct 21 16:00:11 1993;  author: banner
--  Change sprintf to a procedure since return value is useless.
--  Add "n" modifier to format of sprintf to retrieve the length of the
--   resulting string. Add corresponding argument in call to sprintf.
--  ----------------------------
--  New changes after this line.  Each line starts with: "--  "
